Page MenuHomePhabricator

[AARCH64] Enable AARCH64 lit tests on windows dev machines
ClosedPublic

Authored by RKSimon on Jul 9 2016, 3:55 PM.

Details

Summary

As discussed on PR27654, this patch fixes the triples of a lot of aarch64 tests and enables lit tests on windows

This will hopefully help stop cases where windows developers break the aarch64 target

Diff Detail

Repository
rL LLVM

Event Timeline

RKSimon updated this revision to Diff 63403.Jul 9 2016, 3:55 PM
RKSimon retitled this revision from to [AARCH64] Enable AARCH64 lit tests on windows dev machines.
RKSimon updated this object.
RKSimon added reviewers: jmolloy, chapuni, filcab, spatel.
RKSimon set the repository for this revision to rL LLVM.
RKSimon added a subscriber: llvm-commits.
davide added a subscriber: davide.Jul 9 2016, 3:58 PM
filcab edited edge metadata.Jul 12 2016, 3:53 AM

Thanks for working on this!

test/CodeGen/AArch64/aarch64-minmaxv.ll
1 ↗(On Diff #63403)

I randomly saw this "linu". It looks like a typo and can probably be changed to Linux.

This looks like a good idea, have you ran the test on Linux after the change?

test/CodeGen/AArch64/aarch64-minmaxv.ll
1 ↗(On Diff #63403)

This seems the only occurrence, as it was a typo in the original triple. :)

This looks like a good idea, have you ran the test on Linux after the change?

No, just windows and OSX - good enough?

test/CodeGen/AArch64/aarch64-minmaxv.ll
1 ↗(On Diff #63403)

I can fix this post.

No, just windows and OSX - good enough?

I can try this one quickly locally. BRB. :)

Just found out you have Windows line endings on your patch. Please make sure they're not committed in.

rengolin accepted this revision.Jul 19 2016, 5:26 AM
rengolin added a reviewer: rengolin.

Works on Linux, too. Just make sure to remove the Windows line endings and replace linu for linux. Thanks!

This revision is now accepted and ready to land.Jul 19 2016, 5:26 AM
This revision was automatically updated to reflect the committed changes.